Uploaded image for project: 'Moodle QA'
  1. Moodle QA
  2. MDLQA-5740 Moodle 2.6 QA
  3. MDLQA-5945

CLONE - This version upgrades without errors from the previous version

    XMLWordPrintable

    Details

    • Type: Functional Test
    • Status: Passed
    • Priority: Trivial
    • Affects Version/s: Moodle 2.6
    • Fix Version/s: Moodle 2.6
    • Component/s: Administrator
    • Labels:
      None

      Description

      1. Install the previous stable version of Moodle (latest stable release on the previous branch).
      2. Set it up with some courses. Pulling them from Mooch is a quick way to do this.
      3. Add some users, enrol them in courses, and make some user content.
      4. Set the debugging level to DEVELOPER. Make sure you can see errors (display them on screen or monitor the error log)
      5. Upgrade the code to this current version of Moodle you are testing.
      6. Visit /admin and go through the upgrade process.
      7. It should complete without any errors.

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: